Page MenuHomePhabricator

Enabled libc++ formatter tests on Linux
ClosedPublic

Authored by vharron on Apr 30 2015, 10:16 PM.

Details

Summary

Refactored TestInitializerList to not be an inline test.
Refactored Makefiles to use USE_LIBCPP instead of adding FLAGS directly
Fixed copy/paste error in TestDataFormatterUnordered class name

Diff Detail

Event Timeline

vharron updated this revision to Diff 24790.Apr 30 2015, 10:16 PM
vharron retitled this revision from to Enabled libc++ formatter tests on Linux.
vharron updated this object.
vharron edited the test plan for this revision. (Show Details)
vharron added reviewers: sivachandra, clayborg.
clayborg accepted this revision.May 1 2015, 9:29 AM
clayborg edited edge metadata.

Looks good.

This revision is now accepted and ready to land.May 1 2015, 9:29 AM

Checking this in caused some failures on the build machine but they were cleared by installing new dependencies.

sudo apt-get install libc++-dev:amd64 libc++-dev:i386

vharron closed this revision.May 4 2015, 11:23 AM